package com.yeejoin.amos.api.tool.face.orm.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.api.tool.face.model.ViewModel;
import com.yeejoin.amos.api.tool.face.orm.entity.View;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;


public interface ViewMapper extends BaseMapper<View> {
    /**
     * 全部
     */
    @Select("select url,name,agency,times,releasetime from view order by ${miniSences} ${way}")
    List<ViewModel> queryAll(@Param("miniSences") String miniSences,@Param("way") String way);
    /**
     * 具体场景
     */
    @Select("select url,name,agency,times,releasetime from view where sences=#{sences} order by ${miniSences} ${way}")
    List<ViewModel> queryBySences(@Param("sences") String sences, @Param("miniSences") String miniSences, @Param("way") String way);
    @Select("select SEQUENCE_NBR,name,sences,agency,times,url,releasetime from view")
    List<ViewModel> queryEvery();
    /**
     * 更新查看次数
     */
    @Update("update view set times = times+1 where SEQUENCE_NBR = #{SEQUENCE_NBR}")
    boolean update(Long SEQUENCE_NBR);
}
