package com.yeejoin.amos.api.tool.face.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.api.tool.face.model.ViewModel;
import com.yeejoin.amos.api.tool.face.orm.dao.ViewMapper;
import com.yeejoin.amos.api.tool.face.orm.entity.View;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import javax.annotation.Resource;
import java.util.List;

@Component
public class ViewService extends BaseService<ViewModel, View, ViewMapper> {
    @Resource
    ViewMapper viewMapper;
    /**
     * 根据所属机构分页查询
     */
    public Page<ViewModel> queryForViewPageByAgency(Page page, String agency)   {
        return this.queryForPage(page, null, false, agency);
    }
    /**
     * 查询所有
     */

    public List<ViewModel> queryEvery(){
        return viewMapper.queryEvery();
    }
    /**
     * 根据所属机构列表查询
     */
    public List<ViewModel> queryForAViewList(String agency)   {
        return this.queryForList("" , false, agency);
    }
    /**
     * 根据场景分页查询
     */
    public Page<ViewModel> queryByScene(Page page, String sences)   {
        return this.queryForPage(page, null, false, sences);
    }
    /**
     * 根据场景列表查询
     */
    public List<ViewModel> queryByScene(String sences)   {
        return this.queryForList("" , false, sences);
    }
    /**
     * 查看次数更新
     */
    public boolean updateTimes(Long SEQUENCE_NBR){
        return viewMapper.update(SEQUENCE_NBR);
    }
    /**
     * 统一处理
     */
    public List<ViewModel> query(String sences,String miniSences){
        if (sences.equals("全部")){
            if (miniSences.equals("综合排序")){
                return viewMapper.queryAll("SEQUENCE_NBR","asc");
            }
            else if (miniSences.equals("最新发布")){
                return viewMapper.queryAll("releasetime","desc");
            }
            else
                return viewMapper.queryAll("times","desc");
        }
        else{
            if (miniSences.equals("综合排序")){
                return viewMapper.queryBySences(sences,"SEQUENCE_NBR","asc");
            }
            else if (miniSences.equals("最新发布")){
                return viewMapper.queryBySences(sences,"releasetime","desc");
            }
            else
                return viewMapper.queryBySences(sences,"times","desc");
        }
    }
}
